org.keycloak.dom.saml.v1.protocol

## Class SAML11ResponseType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonResponseType
  - - org.keycloak.dom.saml.v1.protocol.SAML11ResponseAbstractType
    - - org.keycloak.dom.saml.v1.protocol.SAML11ResponseType

- All Implemented Interfaces:
    Serializable

      public class SAML11ResponseType
      extends SAML11ResponseAbstractType

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<SAML11AssertionType>` | `assertions`
    `protected SAML11StatusType` | `status`

    - ### Fields inherited from class org.keycloak.dom.saml.v1.protocol.SAML11ResponseAbstractType

      `majorVersion, minorVersion, recipient`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `id, inResponseTo, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11ResponseType(String id, XMLGregorianCalendar issueInstant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(SAML11AssertionType assertion)`
    `List<SAML11AssertionType>` | `get()`
    `SAML11StatusType` | `getStatus()`
    `boolean` | `remove(SAML11AssertionType assertion)`
    `void` | `setStatus(SAML11StatusType status)`

    - ### Methods inherited from class org.keycloak.dom.saml.v1.protocol.SAML11ResponseAbstractType

      `getMajorVersion, getMinorVersion, getRecipient, setRecipient`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonResponseType

      `getID, getInResponseTo, getIssueInstant, getSignature, setInResponseTo, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### assertions

          protected List<SAML11AssertionType> assertions

    - #### status

          protected SAML11StatusType status

  - ### Constructor Detail

    - #### SAML11ResponseType

          public SAML11ResponseType(String id,
                                    XMLGregorianCalendar issueInstant)

  - ### Method Detail

    - #### add

          public void add(SAML11AssertionType assertion)

    - #### remove

          public boolean remove(SAML11AssertionType assertion)

    - #### get

          public List<SAML11AssertionType> get()

    - #### getStatus

          public SAML11StatusType getStatus()

    - #### setStatus

          public void setStatus(SAML11StatusType status)

Copyright © 2016 JBoss by Red Hat. All rights reserved.